Package org.eclipse.microprofile.fault.tolerance.tck.invalidParameters

# Class RetryClientForValidationMaxRetries

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.invalidParameters.RetryClientForValidationMaxRetries

@RequestScoped public class RetryClientForValidationMaxRetries extends Object
A client to demonstrate the validation of the maxRetries attribute on @Retry

Author:
  Neil Young

## Constructor Summary

Constructors
Constructor
Description
`RetryClientForValidationMaxRetries()`

## Method Summary

Modifier and Type
Method
Description
`Connection`
`serviceA()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RetryClientForValidationMaxRetries

public RetryClientForValidationMaxRetries()

## Method Details

### serviceA

@Retry(maxRetries=-3) public Connection serviceA()